package com.bcxin.ars.dto.statistics;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 统计模块公共的参数接收
 * </p>
 *
 * @author 罗鹏
 * @date 2018/4/18
 */
public class ParamDTO {

    //分页参数开始
    private List data = new ArrayList();
    private boolean paging = true;//是否分页,默认分页
    private Integer pageNum;//页数
    private Integer numPerPage;//每页显示几条
    private Long totalCount;

    //web分页
    private Integer offset;//第几条数据开始

    private Integer limit;//每页显示几条

    private String province;

    private String city;

    private String area;

    private String station;

    private String district;

    private String areaCode;

    private String startDate;

    private String endDate;

    private String realName;
    private String phone;
    private String id_number;
    private String gender;
    private String name;
    private String incumbencyStatus;
    private String identityAuthState;
    private String init;
    private String ageLower;
    private String ageUpper;

    private String legal_person;
    private String public_security_license_number;
    private String business_license_number;
    private String frsjh;


    private Long userid;

    private  String path;

    private String institutionType;

    public String getInstitutionType() {
        return institutionType;
    }

    public void setInstitutionType(String institutionType) {
        this.institutionType = institutionType;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public List getData() {
        return data;
    }

    public void setData(List data) {
        this.data = data;
    }

    public boolean isPaging() {
        return paging;
    }

    public void setPaging(boolean paging) {
        this.paging = paging;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getNumPerPage() {
        return numPerPage;
    }

    public void setNumPerPage(Integer numPerPage) {
        this.numPerPage = numPerPage;
    }

    public Long getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Long totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getStart() {
        return (this.pageNum == null ? 0:this.pageNum) * (this.numPerPage == null ? 0:this.numPerPage);
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getId_number() {
        return id_number;
    }

    public void setId_number(String id_number) {
        this.id_number = id_number;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIncumbencyStatus() {
        return incumbencyStatus;
    }

    public void setIncumbencyStatus(String incumbencyStatus) {
        this.incumbencyStatus = incumbencyStatus;
    }

    public String getIdentityAuthState() {
        return identityAuthState;
    }

    public void setIdentityAuthState(String identityAuthState) {
        this.identityAuthState = identityAuthState;
    }

    public String getInit() {
        return init;
    }

    public void setInit(String init) {
        this.init = init;
    }

    public String getAgeLower() {
        return ageLower;
    }

    public void setAgeLower(String ageLower) {
        this.ageLower = ageLower;
    }

    public String getAgeUpper() {
        return ageUpper;
    }

    public void setAgeUpper(String ageUpper) {
        this.ageUpper = ageUpper;
    }

    public String getLegal_person() {
        return legal_person;
    }

    public void setLegal_person(String legal_person) {
        this.legal_person = legal_person;
    }

    public String getPublic_security_license_number() {
        return public_security_license_number;
    }

    public void setPublic_security_license_number(String public_security_license_number) {
        this.public_security_license_number = public_security_license_number;
    }

    public String getBusiness_license_number() {
        return business_license_number;
    }

    public void setBusiness_license_number(String business_license_number) {
        this.business_license_number = business_license_number;
    }

    public String getFrsjh() {
        return frsjh;
    }

    public void setFrsjh(String frsjh) {
        this.frsjh = frsjh;
    }

    public String getStation() {
        return station;
    }

    public void setStation(String station) {
        this.station = station;
    }

    public Integer getOffset() {
        return offset;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }


    public Long getUserid() {
        return userid;
    }

    public void setUserid(Long userid) {
        this.userid = userid;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }
}
